Usuários
Atualizar usuário
Altera o e-mail e o nome de um usuário da loja.
POST
/manager/user/updateAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/user/update" \ -H "Content-Type: application/json" \ -d '{ "current_email": "maria.gerente@exemplo.com.br", "new_email": "maria.silva@exemplo.com.br", "name": "Maria Silva" }'{
"name": "Maria Silva",
"email": "maria.silva@exemplo.com.br"
}{
"status": 400,
"data": {
"message": [
{
"validation": "email",
"code": "invalid_string",
"message": "Invalid email",
"path": [
"new_email"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/update"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/update"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/update"
}
}